function [Acs,Bcs,Ccs,Dc,a,b,c,g,umax2,LFc]=ABCD(order,osr,obg,nlev,form,typ,ftest)
%% ABCD CT state space, discrete to continuous time transformation
NTF=synthesizeNTF(order,osr,1,obg,0);
%% Parameter
x_ampl_inn_max=0.9; %Fullscale 1.8V
%[fin,fs]=primfreq(ftest,160e6,4096,0);
test_freq=1210953/160002048;
tdac=[0.5 1.5]; %ELD delay 0.5Ts
%ABCD matrix, realize NTF in CT
[ABCDc,tdac2]=realizeNTF_ct(NTF, form, tdac);
[Ac Bc Cc Dc] = partitionABCD(ABCDc);
%Loop filter desciption
LFc = ss(Ac, Bc, Cc, Dc);
% Map CT to DT equivalent
[LF, Gp] = mapCtoD(LFc,tdac2);
%LF=d2d(LF,)
ABCD = [LF.a LF.b; LF.c LF.d];
%Scale discrete ABCD
[ABCDs,umax2,S] = scaleABCD(ABCD,nlev,test_freq,1,[],x_ampl_inn_max,[]);
S = S(1:order,1:order);	% Don't worry about the extra states used in the d-t model
%Sinv = inv(S);
% Acs=S*Ac*Sinv; Bcs=S*Bc;  Ccs=Cc*Sinv;
Acs=S*Ac/S; Bcs=S*Bc;  Ccs=Cc/S;
ABCDcs = [Acs Bcs; Ccs Dc];
%Obtain scaled coefficients
[a,g,b,c]=mapABCD(ABCDcs, typ);

